Subject: Re: [bug#39258] Faster guix search using an sqlite cache

From: zimoun <[email-masked]>
Date: Fri, 31 Jan 2020 13:48:16 +0100

Hi,

On Thu, 30 Jan 2020 at 14:49, Arun Isaac <[email-masked]> wrote:

> >> Any ideas what's going on?
[...]
> Do you know of any way sqlite can create an error log to report what's
> going on? That might really help debug this issue.

Danny told me something like:

  (catch (sqlite-error

I have not tried yet.

> > The docstring of 'cache-lookup' is not coherent anymore. :-)
>
> Yes, I haven't gotten around to fixing up all those yet. I thought I'll
> get the code working first.

Yes, I imagine. Just to notice. :-)

All the best,
simon